
<div *ngIf="address">
    <h2><span jhiTranslate="pcidssApp.address.detail.title">Address</span> {{address.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.address.street1">Street 1</span></dt>
        <dd>
            <span>{{address.street1}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.street2">Street 2</span></dt>
        <dd>
            <span>{{address.street2}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.city">City</span></dt>
        <dd>
            <span>{{address.city}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.postalCode">Postal Code</span></dt>
        <dd>
            <span>{{address.postalCode}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.state">State</span></dt>
        <dd>
            <span>{{address.state}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.province">Province</span></dt>
        <dd>
            <span>{{address.province}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.country">Country</span></dt>
        <dd>
            <span>{{address.country}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.address.url">Url</span></dt>
        <dd>
            <span>{{address.url}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'address/'+ address.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
